Bug 966029 - (CVE-2013-2111) CVE-2013-2111 dovecot: DoS (daemon hang) when parsing invalid IMAP APPEND command parameters
CVE-2013-2111 dovecot: DoS (daemon hang) when parsing invalid IMAP APPEND com...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130520,repor...
: Security
Depends On:
Blocks: 966032
  Show dependency treegraph
 
Reported: 2013-05-22 06:04 EDT by Jan Lieskovsky
Modified: 2015-07-31 03:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: dovecot-2.2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 07:31:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-05-22 06:04:52 EDT
A denial of service flaw was found in the way IMAP command parser of Dovecot, IMAP and POP3 server, processed certain parameters of the IMAP APPEND command. A remote authenticated user could issue a specially-crafted IMAP APPEND command that, when processed would lead to dovecot daemon hang (infinite loop).

References:
[1] http://www.dovecot.org/list/dovecot-news/2013-May/000255.html
[2] http://www.openwall.com/lists/oss-security/2013/05/21/2
[3] https://secunia.com/advisories/53492/

Relevant upstream patch:
[4] http://hg.dovecot.org/dovecot-2.2/rev/ea0390e1789f
Comment 1 Jan Lieskovsky 2013-05-22 06:08:58 EDT
This issue did NOT affect the versions of the dovecot package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue did NOT affect the versions of the dovecot package, as shipped with Fedora release of 17 and 18.

--

This issue did NOT affect the version of the dovecot package, as shipped with Fedora Rawhide (an update including the fix has been already created).
Comment 2 Huzaifa S. Sidhpurwala 2013-05-22 07:05:44 EDT
Statement:

Not Vulnerable. This issue does not affect the version of dovecot as shipped with Red Hat Enterprise Linux 5 and 6.

Note You need to log in before you can comment on or make changes to this bug.